package routes

import (
	"log"
	"net/http"
)

func Logger(next http.Handler, logger *log.Logger) http.HandlerFunc {
	return func(res http.ResponseWriter, req *http.Request) {
		logger.Printf("%-35s %-10s %s", req.RemoteAddr, req.Method, req.URL.String())
		next.ServeHTTP(res, req)
	}
}
